重點速覽
Lemon API 讓你透過 Mage 在 POST https://api.mage.space/v1/lemon/generate 執行 Lemon。以預設設定發送請求費用為 245 Gems(約 $0.245),無需訂閱。Lemon 可在提示詞中以 @handle 使用已儲存的角色、參考素材和音訊參考。
影片
輸出
1
版本
245
預設每段影片所需 Gems
$0.245
約合美元
總覽
Lemon API 的功能
我們的全能影片模型。支援起始與結束影格、最多 10 個參考素材或 Characters、聲音與音訊,影片長度 2 至 30 秒,最高 1080p。
Mage 的全能影片模型,價格更親民:支援影格、參考素材、聲音、生成音訊,影片長度 2 至 30 秒。
接受 first_image、last_image、image、additional_images、videos 作為輸入。
快速開始
呼叫 Lemon API
設定 MAGE_API_KEY,送出請求到 /lemon/generate,然後輪詢 status_url,直到請求完成。
cURL
STATUS_URL=$(curl --request POST 'https://api.mage.space/v1/lemon/generate' \
--header "Authorization: Bearer $MAGE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"prompt": "A slow push-in on a lighthouse at dusk, waves breaking below",
"aspect_ratio": "16:9",
"duration": "3",
"model_id": "lemon"
}' | jq -r '.status_url')
# Repeat until status is "completed"; result.url is the file
curl "$STATUS_URL" --header "Authorization: Bearer $MAGE_API_KEY"TypeScript
// npm install @mage-space/sdk
import Mage from '@mage-space/sdk';
const mage = new Mage(); // reads MAGE_API_KEY
const request = await mage.run('lemon', {
prompt: 'A slow push-in on a lighthouse at dusk, waves breaking below',
aspect_ratio: '16:9',
duration: '3',
model_id: 'lemon',
});
console.log(request.result.url);Python
# pip install mage-space
from mage_space import Mage
mage = Mage() # reads MAGE_API_KEY
request = mage.run("lemon", {
"prompt": "A slow push-in on a lighthouse at dusk, waves breaking below",
"aspect_ratio": "16:9",
"duration": "3",
"model_id": "lemon",
})
print(request["result"]["url"])模型
Lemon 的 model_id 值
傳入 model_id 即可選擇版本。未指定時,請求會使用預設版本。
| model_id | 名稱 | 預設 |
|---|---|---|
| lemon | Lemon | 是 |
選項
Lemon 參數
以下為所有版本可接受的值;個別版本可能提供較少選項。各版本的選項請參閱文件。
| 欄位 | 可用值 |
|---|---|
| aspect_ratio | 16:9, 4:3, 1:1, 3:4, 9:16 |
| resolution | 480p, 720p, 1080p |
| duration | 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30 |
輸入
Lemon 接受的媒體輸入
每個輸入可使用 https URL、data URL,或上傳最大 100 MB 的檔案。
| 欄位 | 用途 |
|---|---|
| first_image | 第一格畫面的圖片。 |
| last_image | 尾幀圖片。 |
| image | 參考圖片。 |
| additional_images | 其他參考圖片。 |
| videos | 來源影片。 |
規則
Lemon API 的限制規則
- 首幀和尾幀不能與參考圖片或參考影片同時使用:只能擇一傳送。
- 最多 10 張參考圖片和 5 部參考影片。
- 每部參考影片長度為 1 到 15 秒,總長度最多 15 秒,且總長度加上 `duration` 最多 30 秒。參考影片的秒數與輸出秒數按相同方式計費。
更多影片模型
Mage 上的其他影片生成 API
常見問題
常見問題
Lemon API 的費用是多少?
以預設設定(Lemon)發出一次 Lemon 請求需要 245 Gems,約 $0.245。其他解析度、時長和版本會改變價格,實際扣款金額會顯示在回應中。生成失敗會退還 Gems;若因違反 Mage 的內容政策而被攔截,則不會退還。
Lemon API 的端點是什麼?
使用 POST 請求 https://api.mage.space/v1/lemon/generate,並在 Authorization: Bearer 標頭中帶入你的 Mage API 金鑰。回應會包含 status_url,可用來輪詢取得結果。
我可以呼叫哪些 Lemon 模型?
lemon。預設為 Lemon。
Lemon 支援參考圖片或角色嗎?
Lemon 接受 first_image、last_image、image、additional_images、videos。Lemon 可在提示詞中透過 @handle 使用已儲存的角色、參考素材和音訊參考。
我可以在 Claude 或 ChatGPT 中使用 Lemon 嗎?
可以。將 Mage MCP 伺服器連接到 Claude、ChatGPT、Claude Code、Grok 或 Cursor,然後直接指名要使用 Lemon。你的助理會透過 get_model 讀取可用選項,並在生成前告知價格。
Lemon 的生成結果會保留多久?
結果與輸入內容會保存 30 天。想留存的內容,請自行下載到你的儲存空間。
開始使用 Mage 打造你的作品
一個帳號、一份 Gems 餘額,通用所有模型。只需為你生成的內容付費。